"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const core_1 = require("@material-ui/core");
const react_1 = tslib_1.__importDefault(require("react"));
/**
 * Represents a confirmation dialog
 */
exports.ConfirmationDialog = (props) => {
    const handleCancel = () => props.onClose(true);
    const handleOk = () => props.onClose(false);
    return (react_1.default.createElement(core_1.Dialog, { disableBackdropClick: true, disableEscapeKeyDown: true, maxWidth: "md", "aria-labelledby": "confirmation-dialog-title", "aria-describedby": "confirmation-dialog-description", open: props.isOpen },
        react_1.default.createElement(core_1.DialogTitle, { id: "confirmation-dialog-title" }, props.dialogTitle),
        react_1.default.createElement(core_1.DialogContent, null,
            react_1.default.createElement(core_1.DialogContentText, { dangerouslySetInnerHTML: { __html: props.children }, id: "confirmation-dialog-description" })),
        react_1.default.createElement(core_1.DialogActions, null,
            react_1.default.createElement(core_1.Button, { onClick: handleOk, variant: "contained", color: "primary" }, props.okButtonText || 'ok'),
            react_1.default.createElement(core_1.Button, { onClick: handleCancel }, props.cancelButtonText || 'cancel'))));
};
//# sourceMappingURL=ConfirmationDialog.js.map