/// <reference types="react" />
import { LocalizationType } from '../../context/localization-context';
/**
 * Localization keys for create comment component
 */
export declare type CreateCommentLocalization = Pick<LocalizationType, 'commentInputPlaceholder' | 'addComment' | 'submit' | 'inputRequiredError' | 'markerRequiredError' | 'markerTooltip' | 'cancelButton'>;
/**
 * Create comment component properties
 */
export interface CreateCommentProps {
    createComment: (text: string) => void;
    localization?: CreateCommentLocalization;
    isActive: boolean;
    handleIsActive: (isActive: boolean) => void;
    inputValue: string;
    handleInputValueChange: (value: string) => void;
}
/**
 * Represents a comment creator component
 */
export declare function CreateComment(props: CreateCommentProps): JSX.Element;
//# sourceMappingURL=CreateComment.d.ts.map