"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const core_1 = require("@material-ui/core");
const react_1 = tslib_1.__importStar(require("react"));
const hooks_1 = require("../../hooks");
const ConfirmationDialog_1 = require("../ConfirmationDialog");
/**
 * Represents a delete button with confirmation dialog
 */
exports.DeleteButton = (props) => {
    const [isDialogOpen, setIsDialogOpen] = react_1.useState(false);
    const api = hooks_1.useDocumentViewerApi();
    const { documentData } = hooks_1.useDocumentData();
    const localization = hooks_1.useLocalization();
    const handleClick = () => {
        setIsDialogOpen(true);
    };
    const handleDialogClose = (isCanceled) => {
        if (!isCanceled) {
            api.commentActions.deletePreviewComment({
                document: documentData,
                commentId: props.comment.id,
                abortController: new AbortController(),
            });
        }
        setIsDialogOpen(false);
    };
    return (react_1.default.createElement(react_1.default.Fragment, null,
        react_1.default.createElement(core_1.Button, { color: "primary", size: "small", onClick: handleClick }, localization.delete || 'delete'),
        react_1.default.createElement(ConfirmationDialog_1.ConfirmationDialog, { dialogTitle: localization.deleteCommentDialogTitle, cancelButtonText: localization.cancelButton, okButtonText: localization.okButton, isOpen: isDialogOpen, onClose: handleDialogClose }, localization.deleteCommentDialogBody)));
};
//# sourceMappingURL=DeleteCommentButton.js.map