"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const IconButton_1 = tslib_1.__importDefault(require("@material-ui/core/IconButton"));
const RotateLeft_1 = tslib_1.__importDefault(require("@material-ui/icons/RotateLeft"));
const RotateRight_1 = tslib_1.__importDefault(require("@material-ui/icons/RotateRight"));
const react_1 = tslib_1.__importStar(require("react"));
const hooks_1 = require("../../hooks");
const RotatePage_1 = require("../page-widgets/RotatePage");
/**
 * Component that allows active page rotation
 */
exports.RotateActivePagesWidget = (props) => {
    const localization = hooks_1.useLocalization();
    const viewerState = hooks_1.useViewerState();
    const images = hooks_1.usePreviewImages();
    const rotateDocumentLeft = react_1.useCallback(() => {
        images.rotateImages(viewerState.activePages, -RotatePage_1.ROTATION_AMOUNT);
    }, [images, viewerState.activePages]);
    const rotateDocumentRight = react_1.useCallback(() => {
        images.rotateImages(viewerState.activePages, RotatePage_1.ROTATION_AMOUNT);
    }, [images, viewerState.activePages]);
    const button = (direction) => {
        const isLeft = direction === RotatePage_1.ROTATION_MODE.anticlockwise;
        return (react_1.default.createElement(IconButton_1.default, { color: "inherit", title: isLeft ? localization.rotatePageLeft : localization.rotateDocumentRight, onClick: () => (isLeft ? rotateDocumentLeft() : rotateDocumentRight()), id: isLeft ? 'RotateActiveLeft' : 'RotateActiveRigt' }, isLeft ? react_1.default.createElement(RotateLeft_1.default, null) : react_1.default.createElement(RotateRight_1.default, null)));
    };
    /**
     * renders the component
     */
    switch (props.mode) {
        case RotatePage_1.ROTATION_MODE.anticlockwise:
            return button(props.mode);
        case RotatePage_1.ROTATION_MODE.clockwise:
            return button(props.mode);
        default:
            return (react_1.default.createElement("div", { style: { display: 'inline-block' } },
                button(RotatePage_1.ROTATION_MODE.anticlockwise),
                button(RotatePage_1.ROTATION_MODE.clockwise)));
    }
};
//# sourceMappingURL=RotateActivePages.js.map