"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const IconButton_1 = tslib_1.__importDefault(require("@material-ui/core/IconButton"));
const Save_1 = tslib_1.__importDefault(require("@material-ui/icons/Save"));
const react_1 = tslib_1.__importStar(require("react"));
const hooks_1 = require("../../hooks");
/**
 * Document widget component for saving document state
 */
exports.SaveWidget = () => {
    const api = hooks_1.useDocumentViewerApi();
    const { documentData } = hooks_1.useDocumentData();
    const permissions = hooks_1.useDocumentPermissions();
    const pages = hooks_1.usePreviewImages();
    const viewerState = hooks_1.useViewerState();
    const localization = hooks_1.useLocalization();
    const save = react_1.useCallback(() => {
        permissions.canEdit &&
            api.saveChanges({
                document: documentData,
                pages: pages.imageData,
                abortController: new AbortController(),
            });
    }, [api, documentData, pages, permissions.canEdit]);
    return (react_1.default.createElement("div", { style: { display: 'inline-block' } },
        react_1.default.createElement(IconButton_1.default, { disabled: !viewerState.hasChanges || !permissions.canEdit, title: localization.saveChanges, onClick: save, id: "Save" },
            react_1.default.createElement(Save_1.default, null))));
};
//# sourceMappingURL=SaveWidget.js.map