"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const Grid_1 = tslib_1.__importDefault(require("@material-ui/core/Grid"));
const TextField_1 = tslib_1.__importDefault(require("@material-ui/core/TextField"));
const Search_1 = tslib_1.__importDefault(require("@material-ui/icons/Search"));
const react_1 = tslib_1.__importStar(require("react"));
const hooks_1 = require("../../hooks");
/**
 * Document widget component for paging
 */
exports.SearchBar = () => {
    const localization = hooks_1.useLocalization();
    const [searchValue, setSearchValue] = react_1.useState('');
    const evaluateSearch = react_1.useCallback(() => {
        console.log('Search triggered', searchValue);
    }, [searchValue]);
    const handleKeyPress = react_1.useCallback((ev) => {
        if (ev.key === 'Enter') {
            evaluateSearch();
        }
    }, [evaluateSearch]);
    return (react_1.default.createElement(Grid_1.default, { container: true, spacing: 8, alignItems: "center" },
        react_1.default.createElement(Grid_1.default, { item: true },
            react_1.default.createElement(Search_1.default, null)),
        react_1.default.createElement(Grid_1.default, { item: true },
            react_1.default.createElement(TextField_1.default, { type: "text", placeholder: localization.search, onKeyPress: handleKeyPress, onSubmit: evaluateSearch, onChange: (ev) => setSearchValue(ev.target.value), inputProps: { style: { color: 'white' } } }))));
};
//# sourceMappingURL=SearchBar.js.map