"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const BrandingWatermark_1 = tslib_1.__importDefault(require("@material-ui/icons/BrandingWatermark"));
const react_1 = tslib_1.__importDefault(require("react"));
const hooks_1 = require("../../hooks");
const ToggleBase_1 = require("./ToggleBase");
/**
 * Document widget component that toggles the displaying of the watermark
 */
exports.ToggleWatermarkWidget = () => {
    const localization = hooks_1.useLocalization();
    const viewerState = hooks_1.useViewerState();
    return (react_1.default.createElement(ToggleBase_1.ToggleBase, { title: localization.toggleWatermark, isVisible: viewerState.showWatermark, setValue: (v) => viewerState.updateState({ showWatermark: v }) },
        react_1.default.createElement(BrandingWatermark_1.default, null)));
};
//# sourceMappingURL=ToggleWatermark.js.map