"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const IconButton_1 = tslib_1.__importDefault(require("@material-ui/core/IconButton"));
const RotateLeft_1 = tslib_1.__importDefault(require("@material-ui/icons/RotateLeft"));
const RotateRight_1 = tslib_1.__importDefault(require("@material-ui/icons/RotateRight"));
const react_1 = tslib_1.__importStar(require("react"));
const hooks_1 = require("../../hooks");
/**
 * The amount of rotation in degrees
 */
exports.ROTATION_AMOUNT = 90;
/**
 * Visibility of the rotation related buttons
 */
var ROTATION_MODE;
(function (ROTATION_MODE) {
    ROTATION_MODE[ROTATION_MODE["clockwise"] = 0] = "clockwise";
    ROTATION_MODE[ROTATION_MODE["anticlockwise"] = 1] = "anticlockwise";
    ROTATION_MODE[ROTATION_MODE["all"] = 2] = "all";
})(ROTATION_MODE = exports.ROTATION_MODE || (exports.ROTATION_MODE = {}));
exports.RotatePageWidget = (props) => {
    const localization = hooks_1.useLocalization();
    const [pageIndex] = react_1.useState(props.page.Index);
    const image = hooks_1.usePreviewImage(pageIndex);
    const rotatePageLeft = react_1.useCallback(() => {
        image.rotate(-exports.ROTATION_AMOUNT);
    }, [image]);
    const rotatePageRight = react_1.useCallback(() => {
        image.rotate(exports.ROTATION_AMOUNT);
    }, [image]);
    return (react_1.default.createElement("div", { style: {
            position: 'absolute',
            zIndex: 1,
            top: 0,
            right: 0,
            filter: 'drop-shadow(0 0 3px white) drop-shadow(0 0 5px white) drop-shadow(0 0 9px white)',
        } },
        react_1.default.createElement(IconButton_1.default, { onClick: rotatePageLeft, title: localization.rotatePageLeft },
            react_1.default.createElement(RotateLeft_1.default, null)),
        react_1.default.createElement(IconButton_1.default, { onClick: rotatePageRight, title: localization.rotatePageRight },
            react_1.default.createElement(RotateRight_1.default, null))));
};
//# sourceMappingURL=RotatePage.js.map