"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const client_utils_1 = require("@sensenet/client-utils");
const react_1 = tslib_1.__importStar(require("react"));
exports.defaultViewerState = {
    activePages: [1],
    zoomMode: 'fit',
    customZoomLevel: 3,
    showWatermark: false,
    showRedaction: true,
    showShapes: true,
    showThumbnails: false,
    fitRelativeZoomLevel: 0,
    showComments: false,
    hasChanges: false,
    isPlacingCommentMarker: false,
    isCreateCommentActive: false,
    onPageChange: new client_utils_1.ObservableValue(1),
    updateState: () => { },
};
exports.ViewerStateContext = react_1.default.createContext(exports.defaultViewerState);
exports.ViewerStateProvider = (props) => {
    const [state, setState] = react_1.useState(client_utils_1.deepMerge(Object.assign({}, exports.defaultViewerState), props.options));
    react_1.useEffect(() => {
        setState(client_utils_1.deepMerge(Object.assign({}, exports.defaultViewerState), props.options));
    }, [props.options]);
    const updateState = react_1.useCallback((newState) => {
        setState(client_utils_1.deepMerge(Object.assign({}, state), newState));
    }, [state]);
    return react_1.default.createElement(exports.ViewerStateContext.Provider, { value: Object.assign(Object.assign({}, state), { updateState }) }, props.children);
};
//# sourceMappingURL=viewer-state.js.map