"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const image_utils_1 = require("./image-utils");
/**
 * helper method to apply shape rotations
 * @param shapes the shape(s) to rotate
 * @param degree the rotation angle in degrees
 * @param pages the page info
 */
exports.applyShapeRotations = (shapes, degree, page) => [
    ...shapes.map((s) => {
        const angle = (Math.PI / 180) * image_utils_1.ImageUtil.normalizeDegrees(degree);
        const [sin, cos] = [Math.sin(angle), Math.cos(angle)];
        const oldX = s.x - page.Height / 2;
        const oldY = s.y - page.Width / 2;
        const newX = oldX * cos - oldY * sin;
        const newY = oldY * cos + oldX * sin;
        return Object.assign(Object.assign({}, s), { x: newX + page.Height / 2, y: newY + page.Width / 2 });
    }),
];
//# sourceMappingURL=apply-shape-rotations.js.map